Loading...
Searching...
No Matches
OracleSqlUtilBase::OracleCodeBaseNoRename Class Reference

the base class for Oracle code objects that cannot be renamed in place More...

Inheritance diagram for OracleSqlUtilBase::OracleCodeBaseNoRename:
[legend]

## Public Member Functions

| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database
Public Member Functions inherited from OracleSqlUtilBase::OracleCodeBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database

## Detailed Description

the base class for Oracle code objects that cannot be renamed in place

## Member Function Documentation

## constructor()

OracleSqlUtilBase::OracleCodeBaseNoRename::constructor | ( | string | n,
|  | string | n_type,
|  | string | n_src )

creates the object from the arguments passed

Parameters

  n | the name of the object
  n_type | the type of object
  n_src | the source of the object

## getRenameSql()

softlist OracleSqlUtilBase::OracleCodeBaseNoRename::getRenameSql | ( | string | new_name,
|  | *hash | opt )

returns a string that can be used to rename the object in the database

The object is dropped and recreated with this method call

Parameters

  new_name | the new name of the object
  opt | rename options; if force if True, then the `FORCE` option will be used with the drop statement